io.etcd.jetcd.api

## Class CompactionRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<CompactionRequest.Builder>
      - - io.etcd.jetcd.api.CompactionRequest.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, CompactionRequestOrBuilder, Cloneable

Enclosing class:
  CompactionRequest

    public static final class CompactionRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<CompactionRequest.Builder>
    implements CompactionRequestOrBuilder

     CompactionRequest compacts the key-value store up to a given revision. All superseded keys
     with a revision less than the compaction revision will be removed.

Protobuf type `etcdserverpb.CompactionRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`CompactionRequest.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`CompactionRequest` `build()`
`CompactionRequest` `buildPartial()`
`CompactionRequest.Builder` `clear()`
`CompactionRequest.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`CompactionRequest.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`CompactionRequest.Builder` `clearPhysical()` physical is set so the RPC will wait until the compaction is physically applied to the local database such that compacted entries are totally removed from the backend database.
`CompactionRequest.Builder` `clearRevision()` revision is the key-value store revision for the compaction operation.
`CompactionRequest.Builder` `clone()`
`CompactionRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`boolean` `getPhysical()` physical is set so the RPC will wait until the compaction is physically applied to the local database such that compacted entries are totally removed from the backend database.
`long` `getRevision()` revision is the key-value store revision for the compaction operation.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`CompactionRequest.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`CompactionRequest.Builder` `mergeFrom(CompactionRequest other)`
`CompactionRequest.Builder` `mergeFrom(com.google.protobuf.Message other)`
`CompactionRequest.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`CompactionRequest.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`CompactionRequest.Builder` `setPhysical(boolean value)` physical is set so the RPC will wait until the compaction is physically applied to the local database such that compacted entries are totally removed from the backend database.
`CompactionRequest.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`CompactionRequest.Builder` `setRevision(long value)` revision is the key-value store revision for the compaction operation.
`CompactionRequest.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<CompactionRequest.Builder>`

#### clear

    public CompactionRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<CompactionRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<CompactionRequest.Builder>`

#### getDefaultInstanceForType

    public CompactionRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public CompactionRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public CompactionRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public CompactionRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<CompactionRequest.Builder>`

#### setField

    public CompactionRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                              Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CompactionRequest.Builder>`

#### clearField

    public CompactionRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CompactionRequest.Builder>`

#### clearOneof

    public CompactionRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<CompactionRequest.Builder>`

#### setRepeatedField

    public CompactionRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                      int index,
                                                      Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CompactionRequest.Builder>`

#### addRepeatedField

    public CompactionRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                      Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CompactionRequest.Builder>`

#### mergeFrom

    public CompactionRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<CompactionRequest.Builder>`

#### mergeFrom

    public CompactionRequest.Builder mergeFrom(CompactionRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<CompactionRequest.Builder>`

#### mergeFrom

    public CompactionRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                        throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<CompactionRequest.Builder>`
Throws:
  `IOException`

#### getRevision

    public long getRevision()

     revision is the key-value store revision for the compaction operation.

`int64 revision = 1;`

Specified by:
  `getRevision` in interface `CompactionRequestOrBuilder`
Returns:
  The revision.

#### setRevision

    public CompactionRequest.Builder setRevision(long value)

     revision is the key-value store revision for the compaction operation.

`int64 revision = 1;`

Parameters:
  `value` - The revision to set.
Returns:
  This builder for chaining.

#### clearRevision

    public CompactionRequest.Builder clearRevision()

     revision is the key-value store revision for the compaction operation.

`int64 revision = 1;`

Returns:
  This builder for chaining.

#### getPhysical

    public boolean getPhysical()

     physical is set so the RPC will wait until the compaction is physically
     applied to the local database such that compacted entries are totally
     removed from the backend database.

`bool physical = 2;`

Specified by:
  `getPhysical` in interface `CompactionRequestOrBuilder`
Returns:
  The physical.

#### setPhysical

    public CompactionRequest.Builder setPhysical(boolean value)

     physical is set so the RPC will wait until the compaction is physically
     applied to the local database such that compacted entries are totally
     removed from the backend database.

`bool physical = 2;`

Parameters:
  `value` - The physical to set.
Returns:
  This builder for chaining.

#### clearPhysical

    public CompactionRequest.Builder clearPhysical()

     physical is set so the RPC will wait until the compaction is physically
     applied to the local database such that compacted entries are totally
     removed from the backend database.

`bool physical = 2;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final CompactionRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<CompactionRequest.Builder>`

#### mergeUnknownFields

    public final CompactionRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<CompactionRequest.Builder>`